#include <zephyr.h>
#include <device.h>
#include <devicetree.h>
#include <sys/printk.h>
#include <drivers/uart.h>

void main(void) {
    struct device *uart = device_get_binding(DT_LABEL(DT_NODELABEL(uart1))); // uart = device_get_binding("UART_1");
    if (!uart) {
        printk("UART binding failed\n");
    } else {
        printk("UART initialized\n");
    }
}